# Search reporting dashboard entities

Endpoint: POST /dashboard/search
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Request fields (application/json):

  - `q` (string)
    Keyword to search in asset

  - `filter` (object)
    Search filter of the asset

  - `filter.type` (string)
    Type of the filter
    Enum: "LEAVE_MANAGEMENT_ASSET_CLASS_LOOKUP"

  - `filter.filters` (array)
    List of nested filters

  - `filter.key` (string)
    key on which we want to filter

  - `filter.values` (array)
    Values of above filter to match on key

  - `sorts` (array)
    Sorting information of the asset

  - `sorts.key` (string)
    Key on which results are sorted

  - `sorts.order` (string)
    Order in which we need results i.e Asc, Desc

  - `timeFilter` (object)
    Time range filter of assets

  - `timeFilter.key` (string)
    Key on which time filter needs to be applied

  - `timeFilter.since` (integer)
    Since time

  - `timeFilter.until` (integer)
    Until time

  - `page` (object)
    Pagination info

  - `page.start` (integer)
    Start of the page in search results

  - `page.size` (integer)
    Size of the page in search results

  - `page.cursor` (string)

  - `includeCount` (boolean)

  - `includeFields` (array)
    Include fields of EntityFilterRequest

  - `excludeFields` (array)
    Fields to exclude from search results

  - `impersonator` (string)

  - `userId` (integer)
    Sprinklr User ID

  - `entityType` (string)
    Entity type of EntityFilterRequest

  - `groupingField` (string)
    Grouping field of EntityFilterRequest

  - `populateGroupKeyVsItemIds` (boolean)
    Is Populate group key vs item ids of EntityFilterRequest

  - `trendAggregationPeriod` (string)
    Trend aggregation period of EntityFilterRequest

  - `requestType` (string)
    Request type of EntityFilterRequest

  - `searchInField` (string)
    Search in field of EntityFilterRequest

  - `timezone` (string)
    Timezone of EntityFilterRequest

  - `pinnedAssetIds` (array)
    Pinned asset ids of EntityFilterRequest

  - `personaAppName` (string)
    Persona app name of EntityFilterRequest

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

